Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.webapp.taglib
Class MethodExpressionAjaxListener

    java.lang.Object
      org.ajax4jsf.webapp.taglib.MethodExpressionAjaxListener

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, org.ajax4jsf.event.AjaxListener

    public class MethodExpressionAjaxListener

extends java.lang.Object
implements org.ajax4jsf.event.AjaxListener, javax.faces.component.StateHolder

Since:
  3.2.2
Author:
  Nick Belaevski

Field Summary

Fields inherited from interface org.ajax4jsf.event.AjaxListener
`AJAX_LISTENER_ARGS`

Constructor Summary
`MethodExpressionAjaxListener()`
`MethodExpressionAjaxListener(javax.el.MethodExpression expression)`

Method Summary
`javax.el.MethodExpression` | `getExpression()`
`boolean` | `isTransient()`
`void` | `processAjax(org.ajax4jsf.event.AjaxEvent event)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setTransient(boolean newTransientValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodExpressionAjaxListener

    public MethodExpressionAjaxListener()

### MethodExpressionAjaxListener

    public MethodExpressionAjaxListener(javax.el.MethodExpression expression)

Method Detail

### getExpression

    public javax.el.MethodExpression getExpression()

### processAjax

    public void processAjax(org.ajax4jsf.event.AjaxEvent event)

  Specified by:
    `processAjax` in interface `org.ajax4jsf.event.AjaxListener`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.